Subject: Re: bug#19049: 25.0.50; emacs-repository-get-version doesn't work with git

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Nov 2014 17:23:56 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Nov 2014 16:16:57 +0100
> 
> > We had 10 months and enough git expertise to discuss this and decide
> > what's best.  And we wasted it.
> 
> Well, I think the problem here is that git experts really aren't the
> people who are best suited to explain these things.  They don't know
> what the incomprehensible things are.

Some of them are the best people, and some of them do know what's hard
to comprehend.  Some people do have the ability to document and
explain something in your area of expertise.  And if they don't,
others could have done that, given the right recipes.

> I'll be summarising my experience in admin/notes tomorrow, since I now
> have a (more or less) working setup.

I suggest to post that here first, and see that the advice you want to
put in notes is sound.  As you already understand, it's easy to become
confused about these things.